← OBPv7.0.0 Delete liability_choice by id DELETE /obp/v7.0.0/banks/dylan-bank/dynamic-entities/liability_choice/LIABILITY_CHOICE_ID OBPv7.0.0-dynamicEntity_deleteliability_choice_dylan-bank Roles: CanDeleteDynamicEntityRecord_liability_choice(per bank) _Liability_choice(dylan-bank)Dynamic-EntityDynamic Delete liability_choice by id MethodRouting settings example: <details> { "is_bank_id_exact_match":false, "method_name":"dynamicEntityProcess", "connector_name":"rest_vMar2019", "bank_id_pattern":".*", "parameters":[ { "key":"entityName", "value":"liability_choice" } { "key":"url", "value":"http://mydomain.com/xxx" } ] } </details> User Authentication is Required. The User must be logged in. The Application must also be authenticated. Example request body { "liability_choice_id": "string", "activity_id": "string", "liability_mechanism_type": "string", "operator_id": "string", "buffer_contribution_pct": 10, "insurance_policy_reference": "string", "effective_date": "2020-01-01" } Example success response { "bank_id": "dylan-bank", "liability_choice": { "liability_choice_id": "string", "activity_id": "string", "liability_mechanism_type": "string", "operator_id": "string", "buffer_contribution_pct": 10, "insurance_policy_reference": "string", "effective_date": "2020-01-01" }, "metadata": { "created": { "at": "2026-09-30T10:12:00Z", "user_id": "a9f2c7e1-3d4b-4a5c-8e6f-7a8b9c0d1e2f", "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1" }, "updated": { "at": "2026-09-30T11:40:00Z", "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1", "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1" } } } Possible errors (4) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-10001: Incorrect json format.OBP-50000: Unknown Error.